Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.translator
Class BigTypesFormatter

    java.lang.Object
      org.apache.tapestry5.internal.translator.BigTypesFormatter

All Implemented Interfaces:
  NumericFormatter

Direct Known Subclasses:
  BigDecimalNumericFormatter, BigIntegerNumericFormatter

    public abstract class BigTypesFormatter

extends java.lang.Object
implements NumericFormatter

Base class for parsing/formatting BigInteger and BigDecimal.

Since:
  5.1.0.1

Field Summary
`protected java.text.DecimalFormatSymbols` | `symbols`

Constructor Summary
`BigTypesFormatter(java.text.DecimalFormatSymbols symbols)`

Method Summary
`java.lang.Number` | `parse(java.lang.String clientValue)` Parses a value from the client in a locale-specific way.
`protected abstract java.lang.Number` | `parseConvertedValue(java.lang.String converted)`
`java.lang.String` | `toClient(java.lang.Number value)` Formats a value for the client in a locale-specific way.
`protected java.lang.String` | `toString(char ch)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### symbols

    protected final java.text.DecimalFormatSymbols symbols

Constructor Detail

### BigTypesFormatter

    public BigTypesFormatter(java.text.DecimalFormatSymbols symbols)

Method Detail

### toString

    protected java.lang.String toString(char ch)

### toClient

    public java.lang.String toClient(java.lang.Number value)

  Description copied from interface: `NumericFormatter`
  Formats a value for the client in a locale-specific way.

  Specified by:
    `toClient` in interface `NumericFormatter`

### parse

    public java.lang.Number parse(java.lang.String clientValue)
                           throws java.text.ParseException

  Description copied from interface: `NumericFormatter`
  Parses a value from the client in a locale-specific way.

  Specified by:
    `parse` in interface `NumericFormatter`
  Throws:
    `java.text.ParseException`

### parseConvertedValue

    protected abstract java.lang.Number parseConvertedValue(java.lang.String converted)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.